summaryrefslogtreecommitdiffstats
path: root/libraries/libqxp
diff options
context:
space:
mode:
author Hunter Sezen2018-02-28 03:00:03 +0100
committer Willy Sudiarto Raharjo2018-02-28 03:00:03 +0100
commitcc637d031ec83680a496a125eb7b0343cd31b5ab (patch)
tree1bf5e77202c0e108def2faf98a2924f35d67aab2 /libraries/libqxp
parent852c896c02667f11e72ae8079004295c9c963e08 (diff)
downloadslackbuilds-cc637d031ec83680a496a125eb7b0343cd31b5ab.tar.gz
libraries/libqxp: Added (QuarkXPress documents parser library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libqxp')
-rw-r--r--libraries/libqxp/README7
-rw-r--r--libraries/libqxp/libqxp.SlackBuild106
-rw-r--r--libraries/libqxp/libqxp.info10
-rw-r--r--libraries/libqxp/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/libqxp/README b/libraries/libqxp/README
new file mode 100644
index 0000000000..85d6aeda93
--- /dev/null
+++ b/libraries/libqxp/README
@@ -0,0 +1,7 @@
+libqxp is a library and a set of tools for reading and converting
+QuarkXPress file format.
+
+To build the tests, install cppunit before running this script.
+
+To build the doxygen html documentation use:
+ DOC="yes" ./libqxp.SlackBuild
diff --git a/libraries/libqxp/libqxp.SlackBuild b/libraries/libqxp/libqxp.SlackBuild
new file mode 100644
index 0000000000..c404868373
--- /dev/null
+++ b/libraries/libqxp/libqxp.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for libqxp
+
+# Copyright 2018 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libqxp
+VERSION=${VERSION:-0.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+case "${DOC:-0}" in
+ 0) doc='--without-docs' ;;
+ *) doc='--with-docs' ;;
+esac
+
+if pkg-config --exists cppunit; then
+ cppunit='--enable-tests'
+else
+ cppunit='--disable-tests'
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ $cppunit $doc
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libqxp/libqxp.info b/libraries/libqxp/libqxp.info
new file mode 100644
index 0000000000..0cb5840b80
--- /dev/null
+++ b/libraries/libqxp/libqxp.info
@@ -0,0 +1,10 @@
+PRGNAM="libqxp"
+VERSION="0.0.1"
+HOMEPAGE="https://wiki.documentfoundation.org/DLP/Libraries/libqxp"
+DOWNLOAD="https://dev-www.libreoffice.org/src/libqxp/libqxp-0.0.1.tar.xz"
+MD5SUM="778e9ee464b6db3c10f45b7c7d97b22d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/libraries/libqxp/slack-desc b/libraries/libqxp/slack-desc
new file mode 100644
index 0000000000..07f7de2b81
--- /dev/null
+++ b/libraries/libqxp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libqxp: libqxp (QuarkXPress documents parser library)
+libqxp:
+libqxp: libqxp is a library and a set of tools for reading and converting
+libqxp: QuarkXPress file format.
+libqxp:
+libqxp: Homepage: https://wiki.documentfoundation.org/DLP/Libraries/libqxp
+libqxp:
+libqxp:
+libqxp:
+libqxp:
+libqxp: